<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    
    include_once 'config/database.php';
    include_once 'class/articoli.php';
	
    $database = new Database();
    $db = $database->getConnection();
    $articoli = new Articoli($db);
    $stmt = $articoli->getArticoli();
    $itemCount = $stmt->rowCount();

    if($itemCount > 0) {
        $result = array();
        $result["body"] = array();
        $result["itemCount"] = $itemCount;
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            extract($row);
            $e = array(
                "id" => $id,
                "codice" => $codice,
                "descrizione" => $descrizione,
                "quantita" => $quantita,
                "created" => $created,
                "updated" => $updated
            );
            array_push($result["body"], $e);
        }
		http_response_code(200);
        echo json_encode($result);
    }
    else {
        http_response_code(404);
        echo json_encode(
            array("message" => "Nessun record trovato.")
        );
    }
?>